import conditionObjectBase from '../condition-object-base.js'
import { yfydLocations } from "@/api/webApi/career-other";

export default {
  ...conditionObjectBase,
  key: 'yfydLocation',
  title: '地域',
  getList: function(param) {
    return new Promise((resolve, reject) => {
      yfydLocations().then(res => resolve(res.rows))
        .catch(e => reject(e))
    })
  },
  getCode: function(item) {
    return item
  },
  getLabel: function(item) {
    return item
  }
}
